These are chat archives for reactioncommerce/reaction

2nd
Oct 2017
Josh Cox
@joshuacox
Oct 02 2017 01:21
@bkilrain can you post in this forum thread
sankthetester
@sankthetester
Oct 02 2017 10:29
okay so this is the fist time I am trying to install reaction

and i cannot seem to get past the 'reaction init' step.

Oops! It looks like you don't have Git installed yet!

Please see the Reaction requirements docs first,
then try running this command again once you have
installed all of the requirements for your operating system.

More info...
http://getrxn.io/2installRC

...

keeps giving me this error message

as i understand, i do have Git-2.14.2-64-bit installed in the default C:\Program Files\Git on this system running Windows 10 64-bit Operating Sys
am I missing something?
sankthetester
@sankthetester
Oct 02 2017 10:49
still trying to
install and run Reaction locally in development mode
Brent Hoover
@zenweasel
Oct 02 2017 12:25
what happens if you just run git from the command line where you are trying to install reaction?
Josh Cox
@joshuacox
Oct 02 2017 16:19
@jshimko @zenweasel or anyone else. How do I force Meteor 1.5.1 on build? reaction build --build-arg METEOR_VERSION=1.5.1 mycustom151 does not work, I can see 1.5.2.1 still being installed and is in the final error message
Jeremy Shimko
@jshimko
Oct 02 2017 16:20
There’s no build arg for that. You’ll have to update your .meteor/release file and the Docker build will install the correct version
Josh Cox
@joshuacox
Oct 02 2017 16:21
gracias @jshimko
Jeremy Shimko
@jshimko
Oct 02 2017 16:21
:thumbsup:
Josh Cox
@joshuacox
Oct 02 2017 18:08
anyone else seeing similar failures with Meteor >1.5.2.1?
Jeremy Shimko
@jshimko
Oct 02 2017 19:15
I/we are consistently building on Mac and Linux. Our CircleCI config uses --build-arg TOOL_NODE_FLAGS="--max-old-space-size=4096” and works every time. Locally (on my Macbook), I use 2048 and that works every time too. I haven’t had that memory error since we first started having it a few months ago and added the --max-old-space-size flag.
and we do dozens of builds per day
https://circleci.com/gh/reactioncommerce/reaction
give me a hug
@poofcrydie_twitter
Oct 02 2017 19:42
Hi there! I'm really exciting about ReactionCommerce, but I can't get it installed om my Windows machine. I'm stuck on "reaction init" I'm getting "Error: Node modules were not successfully installed. Exiting."
I found reactioncommerce/reaction#2939
But not really get how @zrisher fixed that
Josh Cox
@joshuacox
Oct 02 2017 19:45
@poofcrydie_twitter did you install the same version of SSH that @zrisher did?
you might paste a link to a gist (or similar) that contains the output of meteor npm install when you run it as well
give me a hug
@poofcrydie_twitter
Oct 02 2017 19:48
@joshuacox yeah I did. And it works, but I'm not sure what to do next
give me a second
Josh Cox
@joshuacox
Oct 02 2017 19:55
in your case sh does not exist
personally on windows I use virttualbox and a VM with linux on it, or cygwin to get a unix environment, I know chocolatey has been mention (but I have not used it)
rhaix
@rhaix
Oct 02 2017 19:58
Hey, guys I'm having a bit of trouble with the aldeed:simple-schema package, apparently it's deprecated and now what is being used is a node package called simpl-schema, are you guys planning to switch over to the new dependency any time soon? or do you have any recommendation on how to deal with this?
Spencer Norman
@spencern
Oct 02 2017 20:00
Hi @rhaix this is on our shortlist of important tasks to accomplish. I’m not really sure what it involves right now, it’s possible that it could be a pretty simple drop-in replacement, and maybe equally possible that it’s a larger undertaking that might involve updating several core files
rhaix
@rhaix
Oct 02 2017 20:03
I'm thinking that some schema definitions have to be updated, possibly throughout all reaction schemas, I'm having trouble with a plugin I'm trying to port to reaction and I'm currently debating whether it's easier to just revert the plugin's schemas to the old aldeed meteor package or go through reactions core schema definitions and fix them
give me a hug
@poofcrydie_twitter
Oct 02 2017 20:08

@joshuacox that will be my choice when I'm out of options.

So also log looks like it cant download "transliteration" via git.
I run "C:\Users\User\reaction>npm install transliteration --save" and then meteor npm install

And now I'm not getting any errors.

I'll try to run RC